{% extends 'basepartials/base.html' %}
{% load static %}
{% block title %}Clientes{% endblock %}

{% block extra_style %}
<link href="{% static 'vendor/datatable/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet"/>
<style>
  .dataTables_filter {display: none;}
</style>
{% endblock %}
{% block content %}
{% if messages %}
    {% include 'basepartials/_messages.html' %}
{% endif %}
<div class="container container-full">
    <div class="card" style="padding: 0;">
        <div class="card-body" style="margin:0;">
            <div class="row">
                <div class="col-md-3">
                    <h2>Lista de Clientes</h2>
                </div>
                <div class="col-md-9" style="text-align: right">
                    <div id="buttons-op">
                        <a href="{% url 'clients:client-create' %}" type="button"
                           class="btn btn-default btn-lg btn-light"
                           data-toggle="tooltip" title="Nuevo Cliente" style="padding: 5px 5px 0;margin: 0 10px 10px 0;">
                            <ion-icon style="width: 32px;height: 30px;" name="person-add"></ion-icon>
                        </a>
                    </div>
                </div>
            </div>

            <table id="clients" class="table table-striped table-bordered" style="width:100%">
                <thead>
                <tr style="background-color: #337ab7; color: white;">
                    <th>RUC</th>
                    <th>Razón Social</th>
                    <th>Tipo Persona</th>
                    <th>Contacto</th>
                    <th>Dirección</th>
                    <th>Usuario</th>
                    <th>Fecha de creación</th>
                    <th>Editar/Eliminar</th>
                </tr>
                <tr id="tr_search">
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th id="th-buttons"></th>
                </tr>

                </thead>
                <tbody>
                {% for client in clients %}
                <tr id="{{ client.id }}">
                    {% if client.type_person_sunat == "TPJ" %}
                    <td> {{ client.num_doc }}</td>
                    {% else %}
                    <td></td>
                    {% endif %}
                    <td>{{ client.name }}</td>
                    {% if client.type_person_sunat == "TPJ" %}
                        <td> JURÍDICA </td>
                    {% elif client.type_person_sunat == "TPN" %}
                        <td> NATURAL </td>
                    {% elif client.type_person_sunat == "SND" %}
                        <td> NO DOMICILIADO </td>
                    {% else %}
                        <td> {{ client.type_person_sunat }} </td>
                    {% endif %}
                    <td>{{ client.contact_full_name }}</td>
                    <td>{{ client.address }}</td>
                    <td>{{ client.user.username|default_if_none:'' }}</td>
                    <td>{{ client.user.staff.created_at|date:"d/m/Y" }}</td>
                    <td>
                        <a href="{% url 'clients:client-edit' client.id %}"
                           type="button"
                           class="btn-light" >
                            <img class="img-light-small"
                               src="{% static 'img/edit.png' %}" alt="" width="20"></a>
                <!--<a href="{% url 'clients:client-delete' client.id %}" type="button" class="btn btn-warning">Eliminar</a>-->
                        <a href="#" id="remover"
                           type="button"
                           class="btn-light"
                           title="Eliminar Cliente"
                           data-toggle="modal"
                           data-target="#modalClientDelete"
                        >
                           <img class="img-light-small"
                               src="{% static 'img/delete.png' %}" alt="" width="20"></a>
                        </a>
                    </td>
                </tr>
                {% endfor %}
                </tbody>
            </table>
          <input type="hidden" id="selectedRow">
        </div>
    <!-- The Modal -->
        <div class="modal fade" id="modalClientDelete">
          <div class="modal-dialog">
            <div class="modal-content">

              <!-- Modal Header -->
              <div class="modal-header">
                <h4 class="modal-title">Eliminar Cliente</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
              </div>

              <!-- Modal body -->
              <div class="modal-body">
                ¿ Está seguro de eliminar el registro del cliente ?
              </div>

              <!-- Modal footer -->
              <div class="modal-footer">
                <button type="button"
                        class="btn btn-danger"
                        data-dismiss="modal">
                    Cancelar
                </button>
                <button id="btnRemoverConfirmacion"
                        type="button"
                        class="btn btn-default"
                        data-dismiss="modal">
                    Eliminar
                </button>
                <form id="remover-cliente" style="display: inline"
                      action=""
                      method="post">{% csrf_token %}
                </form>
              </div>

            </div>
          </div>
        </div>
    <!--
        <div class="modal fade" id="confirmationModal" role="dialog">
                <div class="modal-dialog">

                  <div class="modal-content">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal">&times;</button>
                      <h4 align="left" class="modal-title">ELIMINAR CLIENTE</h4>
                    </div>
                    <div class="modal-body">
                      <p align="left"> ¿Está seguro de eliminar el registro del CLiente?</p>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                      <button id="btnRemoverConfirmacion" type="button" class="btn btn-default" data-dismiss="modal">
                        Eliminar
                      </button>
                      <form id="remover-expediente" style="display: inline"
                            action=""
                            method="post">{% csrf_token %}
                      </form>
                    </div>
                  </div>
                </div>
        </div>
    -->
    </div>
</div>
{% endblock %}
{% block bottom_scripts %}
<script src="{% static 'vendor/datatable/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'vendor/datatable/js/dataTables.bootstrap4.min.js' %}"></script>
<script>
    window.urls = {
              removercliente: "{% url 'clients:remover-cliente' 999 %}",

    }
</script>
<script src="{% static 'js/datatable.js' %}"></script>
<script src="{% static 'js/client-list.js' %}"></script>
<script>

  $('#modalClientDelete').on('show.bs.modal', function (event) {
    var button = $(event.relatedTarget);
    $("#selectedRow").val(button.parent().parent()[0].id);
  })
</script>
{% endblock %}